UUIDPARSE(1)

NAMN
uuidparse - ett verktyg för att analysera unika identifierare

SYNOPSIS

uuidparse [flaggor] uuid

BESKRIVNING

Detta kommando analyserar unika identifierare från antingen kommandoradsargument eller standardinmatning. Inmatningarna är separerade med vitt mellanrum.

UTFLÖDE

  Varianter
NCS | Network Computing System-identifierare. Detta var de ursprungliga UUID:erna.
DCE | Open Software Foundations (OSF) UUID:er för Distributed Computing Environment.
Microsoft | Microsoft Windows-plattformens globalt unika identifierare (GUID).
other | Okänd variant. Vanligtvis ogiltiga indata.

  Typer
nil | Särskild typ för noll i typfilen.
tidsbaserad | DCE-tiden är tidsbaserad.
DCE | DCE-tid och MAC-adress.
namnbaserad | RFC 4122 md5sum-hash.
slumpmässig | RFC 4122 slumpmässig.
sha1-baserad | RFC 4122 sha-1-hash.
okänd | Okänd typ. Vanligtvis ogiltiga indata.

FLAGGOR

-J, --json
    Använd JSON-utdataformat.

-n, --noheadings
    Skriv inte ut någon rubrikrad.

-o, --output
    Ange vilka utdatakolumner som ska skrivas ut. Använd --help för att få en lista över alla kolumner som stöds.

-r, --raw
    Använd det råa utmatningsformatet.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

UPPHOVSPERSONER

SE ÄVEN

uuidgen(1), libuuid(3),

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot uuidparse ingår i paketet util-linux som kan hämtas från